// This file is part of mzCalc.
//
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License version 2, as published by the
// Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// mzCalc. If not, see <http://www.gnu.org/licenses/>.
//
// This work is Copyright (C) 2016 by Josse van der Plaat
//
// Individual portions may be copyright by individual contributors, and are
// included in this collective work with permission of the copyright owners.

#ifndef FLEETCOMPOSITION_H
#define FLEETCOMPOSITION_H

#include <vector>

#include "fleet.h"

struct Stats;

// Find the optimum fleet compositions around each of the pods in the given
// STATS.
std::vector<Fleet> fleetCompositions(Stats& stats, bool enableResourceTheft, Verbosity verbosity);

#endif /* FLEETCOMPOSITION_H */
